package main

import "testing"

func TestQueryTask(t *testing.T) {

	tasks, err := QueryAllTask()

	if err != nil {
		t.Fatal(err)
	}

	for k, v := range tasks {

		t.Log(k, "v.User", v.User, "v.TaskType", v.TaskType, "v.TaskId", v.TaskId)
	}

}

//GetTasks()

func TestGetTasks(t *testing.T) {

	tasks, err := GetTasks()

	if err != nil {
		t.Fatal(err)
	}

	for k, v := range tasks {

		t.Log(k, "v.User", v.UserId, "v.TaskType", v.TaskType, "v.TaskId", v.TaskId, "Token", v.Token, "accessToken", v.AccessToken)
	}

}

// func TestInsertTask(t *testing.T) {

// 	req := Req{
// 		Project: "1",
// 		TweetId: "11",
// 	}

// 	err := Insert(req)
// 	if err != nil {
// 		t.Fatal(err)
// 	}

// 	// fmt.Println("found", ok, task)
// }

// func TestTwitterAccountFromDB(t *testing.T) {

// 	accounts, err := TwitterAccountFromDB()
// 	if err != nil {
// 		t.Fatal(err)
// 	}

// 	for k, v := range accounts {
// 		t.Log(k, v.User, v.PassWd)
// 	}

// 	// fmt.Println("found", ok, task)
// }
